Subject: bug#36861: 27.0.50; display-fill-column-indicator-mode in log-edit-mode

From: Juri Linkov <[email-masked]>
Date: Sun, 04 Aug 2019 22:39:06 +0300

> Hi, sorry, I don't understand actually why is so complex this provided code
> in the email. The initialization for display-fill-column-indicator makes
> some checks to set the default character as described in the documentation,
> so no extra code is needed for that in the user side.
> In the initialization I see in this mail, they just set the column's value
> to 78 which can be done also using the variable fill-column for the whole
> major mode too. And actually dfci will recognize it by default and other
> functionalities too so in the general scenario is better to use that one.
>
> (setq fill-column 78)
> (display-fill-column-indicator t)
>
> Should work no matters the order. Maybe as you were setting the mode's
> variable instead of calling the function with the same name; the mode
> was not properly initialized.

The problem is that is when the need is to enable dfci, it is simpler
to avoid eval to enable this mode because dfci works fine without using
dfci-mode, i.e. when only variables are set in Local Variables:

  ;;; Local Variables:
  ;;; display-fill-column-indicator: t
  ;;; display-fill-column-indicator-column: 78
  ;;; End:

or in .dir-locals.el:

  (display-fill-column-indicator . t)
  (display-fill-column-indicator-column . 78)

But the display-fill-column-indicator-character can't be set
in Local Variables because its value depends on the current display:
either U+2502 or ?| if the font does not support Unicode characters.

Do you think it would be possible to set the default value of
display-fill-column-indicator-character without calling
display-fill-column-indicator-mode?